[internal] update app URL as well as scripts

This commit is contained in:
Pete Batard 2011-12-09 22:47:44 +00:00
parent e78f07cda6
commit 78ad099bf9
11 changed files with 24 additions and 18 deletions

4
.gitattributes vendored
View File

@ -2,12 +2,14 @@
*.ac eol=lf
*.am eol=lf
*.in eol=lf
mkf eol=lf
*.m4 eol=lf
configure eol=lf
install-sh eol=lf
*.sln eol=crlf
*.vcproj eol=crlf
*.vcxproj* eol=crlf
*.rc eol=crlf
*.cmd eol=crlf
*.sh export-ignore
.gitattributes export-ignore
.gitignore export-ignore

View File

@ -6,4 +6,4 @@ release: all
@mv src/$(TARGET)$(EXEEXT) .
@$(STRIP) $(TARGET)$(EXEEXT)
@upx $(TARGET)$(EXEEXT)
@cmd.exe /k _sign.bat $(TARGET)$(EXEEXT)
@cmd.exe /k _sign.cmd $(TARGET)$(EXEEXT)

View File

@ -446,7 +446,7 @@ release: all
@mv src/$(TARGET)$(EXEEXT) .
@$(STRIP) $(TARGET)$(EXEEXT)
@upx $(TARGET)$(EXEEXT)
@cmd.exe /k _sign.bat $(TARGET)$(EXEEXT)
@cmd.exe /k _sign.cmd $(TARGET)$(EXEEXT)
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.

View File

@ -5,7 +5,9 @@
# To have git run this script on commit, create a "post-commit" text file in
# .git/hooks/ with the following content:
# #!/bin/sh
# source ./_post-commit.sh
# if [ -x ./_post-commit.sh ]; then
# source ./_post-commit.sh
# fi
type -P git &>/dev/null || { echo "git command not found. Aborting." >&2; exit 1; }

View File

@ -5,7 +5,9 @@
# To have git run this script on commit, create a "pre-commit" text file in
# .git/hooks/ with the following content:
# #!/bin/sh
# source ./_pre-commit.sh
# if [ -x ./_pre-commit.sh ]; then
# source ./_pre-commit.sh
# fi
type -P sed &>/dev/null || { echo "sed command not found. Aborting." >&2; exit 1; }
type -P grep &>/dev/null || { echo "grep command not found. Aborting." >&2; exit 1; }

View File

@ -4,4 +4,4 @@
@E:\WinDDK\7600.16385.0\bin\amd64\signtool sign /v /f D:\Secured\akeo\pbatard.p12 /p %password% /t http://time.certum.pl %1
@if ERRORLEVEL 1 goto retry
@set password=
@exit
@exit

2
configure vendored
View File

@ -3362,7 +3362,7 @@ $as_echo "#define _GNU_SOURCE /**/" >>confdefs.h
# Clang needs an explicit WIN32_WINNT defined else it produces warnings
# in msapi_utf8.h - including winver.h only doesn't work
AM_CFLAGS="${AM_CFLAGS} -DWINVER=0x501 -D_WIN32_WINNT=0x501 -D_WIN32_IE=0x501"
AM_CFLAGS="${AM_CFLAGS} -DWINVER=0x501 -D_WIN32_IE=0x501"
AM_LDFLAGS="${AM_LDFLAGS} -Wl,-no-undefined"
# Debug logging

View File

@ -33,7 +33,7 @@ AC_DEFINE([_GNU_SOURCE], [], [Use GNU extensions])
# Clang needs an explicit WIN32_WINNT defined else it produces warnings
# in msapi_utf8.h - including winver.h only doesn't work
AM_CFLAGS="${AM_CFLAGS} -DWINVER=0x501 -D_WIN32_WINNT=0x501 -D_WIN32_IE=0x501"
AM_CFLAGS="${AM_CFLAGS} -DWINVER=0x501 -D_WIN32_IE=0x501"
AM_LDFLAGS="${AM_LDFLAGS} -Wl,-no-undefined"
# Debug logging

View File

@ -518,3 +518,4 @@ done
# time-stamp-time-zone: "UTC"
# time-stamp-end: "; # UTC"
# End:

View File

@ -33,7 +33,7 @@
#define FS_DEFAULT FS_FAT32
#define WHITE RGB(255,255,255)
#define SEPARATOR_GREY RGB(223,223,223)
#define RUFUS_URL "https://github.com/pbatard/rufus/wiki/Rufus"
#define RUFUS_URL "http://rufus.akeo.ie"
#define BUG_URL "https://github.com/pbatard/rufus/issues"
#define IGNORE_RETVAL(expr) do { (void)(expr); } while(0)
#ifndef ARRAYSIZE

View File

@ -30,7 +30,7 @@ LANGUAGE LANG_ENGLISH, SUBLANG_NEUTRAL
IDD_DIALOG DIALOGEX 12, 12, 206, 278
STYLE DS_SETFONT | DS_MODALFRAME | DS_FIXEDSYS | WS_POPUP | WS_CAPTION | WS_SYSMENU
EXSTYLE WS_EX_APPWINDOW
CAPTION "Rufus v1.0.2.86 (Beta)"
CAPTION "Rufus v1.0.2.87 (Beta)"
FONT 8, "MS Shell Dlg", 400, 0, 0x1
BEGIN
DEFPUSHBUTTON "Start",IDC_START,94,236,50,14
@ -50,8 +50,7 @@ BEGIN
CONTROL "Create a &DOS bootable disk",IDC_DOS,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,13,173,115,10
LTEXT "New volume &label",IDC_STATIC,9,121,105,10
CONTROL "",IDC_PROGRESS,"msctls_progress32",PBS_SMOOTH | WS_BORDER,7,210,189,9
CONTROL "Check device for bad blocks",IDC_BADBLOCKS,
"Button",BS_AUTOCHECKBOX | WS_TABSTOP,13,185,171,10
CONTROL "Check device for bad blocks",IDC_BADBLOCKS,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,13,185,171,10
END
IDD_ABOUTBOX DIALOGEX 0, 0, 287, 195
@ -63,9 +62,9 @@ BEGIN
LTEXT "Rufus - The Reliable USB Formatting Utility *BETA*",IDC_RUFUS_BOLD,46,8,240,10,SS_NOPREFIX | SS_NOTIFY
LTEXT "Copyright (c) 2011 Pete Batard",IDC_STATIC,46,36,139,8
DEFPUSHBUTTON "OK",IDOK,231,175,50,14,WS_GROUP
CONTROL "<a href=""https://github.com/pbatard/rufus/wiki/Rufus"">https://github.com/pbatard/rufus</a>",IDC_ABOUT_RUFUS_URL,
CONTROL "<a href=""http://rufus.akeo.ie"">http://rufus.akeo.ie</a>",IDC_ABOUT_RUFUS_URL,
"SysLink",WS_TABSTOP,46,47,114,9
LTEXT "Version 1.0.2 (Build 86)",IDC_STATIC,46,19,78,8
LTEXT "Version 1.0.2 (Build 87)",IDC_STATIC,46,19,78,8
PUSHBUTTON "License...",IDC_ABOUT_LICENSE,46,175,50,14,WS_GROUP
EDITTEXT IDC_ABOUT_COPYRIGHTS,46,107,235,63,ES_MULTILINE | ES_READONLY | WS_VSCROLL
LTEXT "Report bugs or request enhancements at:",IDC_STATIC,46,66,187,8
@ -164,8 +163,8 @@ END
//
VS_VERSION_INFO VERSIONINFO
FILEVERSION 1,0,2,86
PRODUCTVERSION 1,0,2,86
FILEVERSION 1,0,2,87
PRODUCTVERSION 1,0,2,87
FILEFLAGSMASK 0x3fL
#ifdef _DEBUG
FILEFLAGS 0x1L
@ -182,13 +181,13 @@ BEGIN
BEGIN
VALUE "CompanyName", "akeo.ie"
VALUE "FileDescription", "Rufus"
VALUE "FileVersion", "1.0.2.86"
VALUE "FileVersion", "1.0.2.87"
VALUE "InternalName", "Rufus"
VALUE "LegalCopyright", "© 2011 Pete Batard (GPL v3)"
VALUE "LegalTrademarks", "http://www.gnu.org/copyleft/gpl.html"
VALUE "OriginalFilename", "rufus.exe"
VALUE "ProductName", "Rufus"
VALUE "ProductVersion", "1.0.2.86"
VALUE "ProductVersion", "1.0.2.87"
END
END
BLOCK "VarFileInfo"